@class Value;
@class Type;

@protocol BaseValueGetting
-(int)numSubValues;
-(Value *)subValueAt: (int)nValue;
-(Value *)subValueAt: (int)nValue
           withFlags: (out unsigned *)pFlags
	     andName: (out char **)pName;
@end

@protocol ValueGetting <BaseValueGetting>

-(char *)valueName;
-(Type *)type;
-(unsigned)size;
-(unsigned)scalerValue;
-(unsigned)scalerValueFrom: (unsigned)from;
-(double)doubleValue;
-(double)doubleValueFrom: (unsigned)from;
-(char *)enumValue;
-(char *)enumValueFrom: (unsigned)from;
-(char *)stringValue;
-(char *)stringValueFrom: (unsigned)from;
-(NXData *)getData;
-(NXData *)getDataFor: (int)length;
-(NXData *)getDataFrom: (unsigned)from;
-(NXData *)getDataFrom: (unsigned)from for: (int)length;
-(Value *)indValue;
-(Value *)indValueFrom: (unsigned)from;
-(unsigned)addressFrom: (unsigned)from;
-(unsigned)flags;
-(char *)typeName;

@end